Pave Bank

List Collateral Agreements

Lender or BorrowerViewer Access

Lists the collateral agreements your legal entity is party to

GET
/v1/collateral/agreements

Authorization

AuthorizationRequiredBearer <token>

Enter your token in the format: Bearer {token}

In: header

Query Parameters

external_idstring

Filter by your external reference

statusstring

Filter by agreement status

Value in: "open" | "closed"
page_sizeinteger

Number of results per page. Defaults to 20, maximum 50.

Format: int64
page_tokenstring

Token from a previous response's next_page_token to fetch the next page

Response Body

Success response

dataRequiredarray<object>
next_page_tokenRequiredstring

Empty when there are no more results

total_countinteger
Format: int64
curl -X GET "https://developer-api-staging.pavebank.dev/v1/collateral/agreements?external_id=string&status=open&page_size=0&page_token=string" \
  -H "Authorization: Bearer <token>"
{
  "data": [
    {
      "id": "string",
      "borrower_legal_entity_id": "string",
      "lender_legal_entity_id": "string",
      "external_id": "string",
      "status": "open",
      "dispute_window_hours": 0,
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z"
    }
  ],
  "next_page_token": "string",
  "total_count": 0
}